import {postAction,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop/';

//订单
let orderList = (params) => postAction(prefix + "order/list" , params);
let download = (params) => postAction(prefix + "order/download" , params);
//返回订单历史状态
let selectOrderHis = (params) => postAction(prefix +"order/selectOrderHis" , params);
let reviewStudentIdCard = (params) => postAction(prefix +"order/reviewStudentIdCard" , params);
let abnormal = (params) => postAction(prefix +"order/abnormal" , params);
let downloadMoBan = (params) => downFilePost(prefix + "order/downloadMoBan" , params);
let downloadMoBanKD = (params) => downFilePost(prefix + "order/downloadMoBanKD" , params);

//报表
let reportList = (params) => postAction(prefix + "order/getHhrOrderInfo",params);
let reportDownload = (params) => downFilePost(prefix + "order/outputHhrOrder",params);

export {

    orderList,
    download,
    selectOrderHis,
    abnormal,
    downloadMoBan,
    downloadMoBanKD,
    reportList,
    reviewStudentIdCard,
    reportDownload
}
